<template>
  <div class="eContainer">
    <el-form
      :model="model"
      :rules="rules"
      ref="modelForm"
      label-width="150px"
      label-position="right"
      size="small"
      :validate-on-rule-change="false"
    >
      <c-tabs v-model="tabVal" ref="elment" type="card" @tab-click="myTabClick">
        <!--PD000039 -->
        <el-tab-pane label="Search Panel" name="infsea">
          <m-infsea :model="model" :codes="codes" ref="infsea" />
        </el-tab-pane>
        <!--PD000000 -->
        <el-tab-pane label="Party" name="ptyp0">
          <m-ptyp0 :model="model" :codes="codes" ref="ptyp0" />
        </el-tab-pane>
      </c-tabs>
    </el-form>
  </div>
</template>
<script>
import Api from "~/service/Api";
import CodeTable from "~/config/CodeTable";
import Infpty from "~/model/Infpty";
import commonProcess from "~/mixin/commonProcess";
import Check from "~/model/Infpty/Check";
import Default from "~/model/Infpty/Default";
import Pattern from "~/model/Infpty/Pattern";
import Infsea from "./Infsea";
import Ptyp0 from "./Ptyp0";
export default {
  name: "Infpty",
  components: {
    "m-infsea": Infsea,
    "m-ptyp0": Ptyp0,
  },
  provide() {
    return {
      root: this,
    };
  },
  mixins: [commonProcess], // 里面包含了Default、Check等的公共处理
  data() {
    return {
      tabVal: "infsea",
      trnName: "infpty",
      model: new Infpty().data,
      checkRules: Check,
      defaultRules: Default,
      pattern: Pattern,
      rules: null,
      codes: { ...CodeTable },
    };
  },
  methods: {
    myTabClick() {
      this.tabClick(tab);
      /**
       *  do it yourself
       **/
    },
  },
  created: async function () {
    console.log("进入infpty交易");
    let rtnmsg = await this.init({});
    if (rtnmsg.respCode == SUCCESS) {
      this.updateModel(rtnmsg.data);
      //处理istream的数据
      // this.$refs.infsea.stmData.columns = rtnmsg.codeSet['infbut.dspstm']
      //TODO 处理数据逻辑
    } else {
      this.$notify.error({ title: "错误", message: "服务请求失败！" });
    }
  },
};
</script>
<style>
</style>
